package com.sunxung.factoring.entity.cashflowmanage;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description : 现金流管理出账信息表
 * @Author : JiaYf
 * @Date: 2021-11-02 17:42
 */
@TableName("cash_flow_manage_out_info")
public class CashFlowManageOutInfo extends BaseEntity {

    /**
     * 现金流管理基础信息表Id
     **/
    @TableField("cash_flow_manage_basic_info_id")
    private Long cashFlowManageBasicInfoId;

    /**
     * 此次放款日期
     **/
    @TableField("loan_date")
    private Date loanDate;

    /**
     * 此次放款金额
     **/
    @TableField("loan_amount")
    private BigDecimal loanAmount;

    /**
     * 打款账户--公司归属
     **/
    @TableField("from_company_belong")
    private Long fromCompanyBelong;

    /**
     * 打款账户--公司归属名称
     **/
    @TableField(exist = false)
    private String fromCompanyBelongName;

    /**
     * 打款账户--银行名称
     **/
    @TableField("from_bank_name")
    private String fromBankName;

    /**
     * 打款账户--银行卡号
     **/
    @TableField("from_bank_account")
    private String fromBankAccount;

    /**
     * 收款账户--公司归属
     */
    @TableField("to_company_belong")
    private Long toCompanyBelong;

    /**
     * 收款账户--公司归属名称
     */
    @TableField(exist = false)
    private String toCompanyBelongName;

    /**
     * 收款账户--银行名称
     */
    @TableField("to_bank_name")
    private String toBankName;

    /**
     * 收款账户--银行卡号
     */
    @TableField("to_bank_account")
    private String toBankAccount;

    /**
     * 当前执行人
     **/
    @TableField("curr_executor")
    private String currExecutor;

    /**
     * 附件富文本
     **/
    @TableField("file_text")
    private String fileText;

    public Long getCashFlowManageBasicInfoId() {
        return cashFlowManageBasicInfoId;
    }

    public void setCashFlowManageBasicInfoId(Long cashFlowManageBasicInfoId) {
        this.cashFlowManageBasicInfoId = cashFlowManageBasicInfoId;
    }

    public Date getLoanDate() {
        return loanDate;
    }

    public void setLoanDate(Date loanDate) {
        this.loanDate = loanDate;
    }

    public BigDecimal getLoanAmount() {
        return loanAmount;
    }

    public void setLoanAmount(BigDecimal loanAmount) {
        this.loanAmount = loanAmount;
    }

    public Long getFromCompanyBelong() {
        return fromCompanyBelong;
    }

    public void setFromCompanyBelong(Long fromCompanyBelong) {
        this.fromCompanyBelong = fromCompanyBelong;
    }

    public String getFromBankName() {
        return fromBankName;
    }

    public void setFromBankName(String fromBankName) {
        this.fromBankName = fromBankName;
    }

    public String getFromBankAccount() {
        return fromBankAccount;
    }

    public void setFromBankAccount(String fromBankAccount) {
        this.fromBankAccount = fromBankAccount;
    }

    public Long getToCompanyBelong() {
        return toCompanyBelong;
    }

    public void setToCompanyBelong(Long toCompanyBelong) {
        this.toCompanyBelong = toCompanyBelong;
    }

    public String getToBankName() {
        return toBankName;
    }

    public void setToBankName(String toBankName) {
        this.toBankName = toBankName;
    }

    public String getToBankAccount() {
        return toBankAccount;
    }

    public void setToBankAccount(String toBankAccount) {
        this.toBankAccount = toBankAccount;
    }

    public String getCurrExecutor() {
        return currExecutor;
    }

    public void setCurrExecutor(String currExecutor) {
        this.currExecutor = currExecutor;
    }

    public String getFileText() {
        return fileText;
    }

    public void setFileText(String fileText) {
        this.fileText = fileText;
    }

    public String getFromCompanyBelongName() {
        return fromCompanyBelongName;
    }

    public void setFromCompanyBelongName(String fromCompanyBelongName) {
        this.fromCompanyBelongName = fromCompanyBelongName;
    }

    public String getToCompanyBelongName() {
        return toCompanyBelongName;
    }

    public void setToCompanyBelongName(String toCompanyBelongName) {
        this.toCompanyBelongName = toCompanyBelongName;
    }
}
